package org.richfaces.realworld.service;

import javax.ejb.Remove;

import org.jboss.seam.annotations.Destroy;
import org.richfaces.realworld.domain.Album;
import org.richfaces.realworld.domain.Comment;
import org.richfaces.realworld.domain.Image;

public interface IImageAction {

	public abstract void deleteImage(Image image);

	public abstract void editImage(Image image, boolean parentChanged);

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.service.IAlbumAction#remove()
	 */
	@Remove
	public abstract void remove();

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.service.IAlbumAction#destroy()
	 */
	@Destroy
	public abstract void destroy();

	public abstract void addImage(Image image);
	
	public void deleteComment(Comment comment);
	
	public void addComment(Comment comment);

	public abstract void editComment(Comment comment);

	public abstract void vote(Image image, Long value);

}